<?php

namespace App\Filament\Actions;

use Filament\Actions\DeleteBulkAction;
use Filament\Actions\ForceDeleteBulkAction;
use Filament\Actions\RestoreBulkAction;

class DefaultBulkActions
{
    public static function make(string $entity): array
    {
        return [
            DeleteBulkAction::make()
                ->modalHeading("Hapus {$entity} yang dipilih"),

            ForceDeleteBulkAction::make()
                ->modalHeading("Hapus {$entity} yang dipilih"),

            RestoreBulkAction::make()
                ->modalHeading("Pulihkan {$entity} yang dipilih"),
        ];
    }
}
